MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
mountd [-dN] [-P policy] [-p port] [exportsfile]

DESCRIPTION
mountd is the server for NFS mount requests from other client machines.

mountd makes all filesystems listed in exports(5) available to NFS clients, and then listens for mount service requests at the port indicated in the NFS server specification; see RFC 1094, Appendix A and Appendix I.

Options and operands available for mountd:

-d  Enable debugging mode. mountd will not detach from the controlling terminal and will print debugging messages to stderr.

-N  Do not require privileged ports for mount or NFS RPC calls. This option is equivalent to specifying “-noresvport -noresvmnt” on every export. See exports(5) for more information. Some operating systems (notably Mac OS X) require this option.

-P policy
    IPsec policy string, as described in ipsec_set_policy(3). Multiple IPsec policy strings may be specified by using a semicolon as a separator. If conflicting policy strings are found in a single line, the last string will take effect. If an invalid IPsec policy string is used mountd logs an error message and terminates itself.

-p port
    Force mountd to bind to the given port. If this option is not given, mountd may bind to every anonymous port (in the range 600-1023) which causes trouble when trying to use NFS through a firewall.

exportsfile
    The exportsfile argument specifies an alternative location for the exports file.

When mountd is started, it loads the export host addresses and options into the kernel using the nfssvc(2) system call. After changing the exports file, a hangup signal should be sent to the mountd daemon to get it to reload the export information. After sending the SIGHUP (kill -s HUP `cat /var/run/mountd.pid`), check the syslog output to see if mountd logged any parsing errors in the exports file.

After receiving SIGTERM, mountd sends a broadcast request to remove the mount list from all the clients. This can take a long time, since the broadcast request waits for each client to respond.

FILES
/etc/exports
    the list of exported filesystems
/var/run/mountd.pid
    the pid of the currently running mountd
/var/db/mountdtab
    the list of remotely mounted filesystems

SEE ALSO
nfsstat(1), nfssvc(2), ipsec_set_policy(3), exports(5), nfsd(8), rpcbind(8), showmount(8)

HISTORY
The mountd utility first appeared in 4.4BSD.